## org.eclipse.amp.amf.abase
Interface IInterpreterProvider

All Known Implementing Classes:
  InterpreterPool, InterpreterProvider

    public interface IInterpreterProvider

Author:
  mparker

Method Summary
`java.lang.Object` `getInterpreter(org.eclipse.core.resources.IResource resource)`
`java.lang.Object` `getInterpreter(org.eclipse.emf.ecore.resource.Resource resource)`
`java.lang.Object` `getInterpreter(org.eclipse.emf.common.util.URI uri)`

Method Detail

### getInterpreter

    java.lang.Object getInterpreter(org.eclipse.emf.common.util.URI uri)

### getInterpreter

    java.lang.Object getInterpreter(org.eclipse.core.resources.IResource resource)

### getInterpreter

    java.lang.Object getInterpreter(org.eclipse.emf.ecore.resource.Resource resource)